SPI_cursor_fetch()

NAME
SPI_cursor_fetch - fetch some rows from a cursor

SYNOPSIS

void SPI_cursor_fetch(Portal portal, bool forward, int count)

DESCRIPTION

SPI_cursor_fetch fetches some rows from a cursor. This is equivalent to the SQL command FETCH.

ARGUMENTS

Portal portal
    portal containing the cursor

bool forward
    true for fetch forward, false for fetch backward

int count
    maximum number of rows to fetch

RETURN VALUE

SPI_processed and SPI_tuptable are set as in SPI_execute if successful.